package controlflow;

import java.text.DecimalFormat;

import controlflow.dto.Rectangle;

public class PrettyPrinterJava {
	public static final DecimalFormat INT_FORMAT = new DecimalFormat("00");

	public static String prettyPrint(Object object) {
		if (object instanceof Integer) {
			int intValue = ((Integer) object).intValue();
			return "Integer: " + INT_FORMAT.format(intValue);
		}
		
		if (object instanceof Rectangle) {
			Rectangle rectangle = (Rectangle) object;
			if (rectangle.getWidth() ==  rectangle.getHeight()) {
				return "Square with side=" + rectangle.getWidth();
			}
			
			return "Rect with width=" + rectangle.getWidth() + " and height="
					+ rectangle.getHeight();
		}
		
		if (object == null) {
			return "<null>";
		}

		return "Object: " + object;
	}
}
